function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useState } from 'react';
import { action } from '@storybook/addon-actions';
import Tooltip from '../../../Tooltip';
import Drawer from '../../../Drawer';
import Badge from '../..';
import { Display } from '../../../../common/Display';
export default {
  title: 'Molecules / Badge / Tooltip',
  parameters: {
    component: Badge.Tooltip
  }
};
var DefaultUseComponent = function DefaultUseComponent() {
  var label = 'Extra information goes here';
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    open = _useState2[0],
    setOpen = _useState2[1];
  var toggleDrawer = function toggleDrawer() {
    setOpen(!open);
  };
  var closeDrawer = function closeDrawer() {
    setOpen(false);
  };
  return React.createElement(Display, {
    items: [{
      title: 'Small Tooltip Badge',
      component: React.createElement(Badge.Tooltip, {
        badgeSize: "s"
      })
    }, {
      title: 'Small Tooltip Badge – Tooltip on hover',
      component: React.createElement(Tooltip, {
        label: label,
        position: "top"
      }, React.createElement(Badge.Tooltip, {
        badgeSize: "s"
      }))
    }, {
      title: 'Large Tooltip Badge',
      component: React.createElement(Badge.Tooltip, {
        badgeSize: "l"
      })
    }, {
      title: 'Large Tooltip Badge – Tooltip on hover',
      component: React.createElement(React.Fragment, null, React.createElement(Tooltip, {
        label: label,
        position: "top"
      }, React.createElement(Badge.Tooltip, null)))
    }, {
      title: 'Large Tooltip Badge – onClick action',
      component: React.createElement(Badge.Tooltip, {
        badgeSize: "l",
        onClick: action('TooltipBadge clicked')
      })
    }, {
      title: 'Large Tooltip Badge – onClick opens drawer',
      component: React.createElement(React.Fragment, null, React.createElement(Badge.Tooltip, {
        badgeSize: "l",
        onClick: function onClick() {
          return toggleDrawer();
        },
        "data-drawer-prevent-click-outside": true
      }), React.createElement(Drawer, {
        onClose: closeDrawer,
        title: "TooltipBadge with hover in Drawer",
        open: open
      }, React.createElement(Tooltip, {
        label: "Extra information goes here",
        position: "top"
      }, React.createElement(Badge.Tooltip, null))))
    }]
  });
};
export var DefaultUse = {
  render: function render() {
    return React.createElement(DefaultUseComponent, null);
  }
};